%global pkgname c++utilities

Name:           cpp-utilities
Version:        5.0.1
Release:        0.1%{?dist}
Summary:        Common C++ classes and routines

License:        GPL-2.0
URL:            https://github.com/Martchus/cpp-utilities
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} =< %{version}-%{release}

%description
Useful C++ classes and routines such as argument parser, IO and conversion
utilities.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Recommends:     pkgconfig(cppunit)
Recommends:     doxygen

Provides:       %{pkgname}-devel = %{version}-%{release}
Obsoletes:      %{pkgname}-devel =< %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
mkdir %{_vpath_builddir}
pushd %{_vpath_builddir}
%cmake -G Ninja ..
popd

%ninja_build -C %{_vpath_builddir}


%install
%ninja_install -C %{_vpath_builddir}


%check
%ninja_test -C %{_vpath_builddir}


%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{pkgname}.so.*


%files devel
%{_includedir}/%{pkgname}
%{_libdir}/lib%{pkgname}.so
%{_libdir}/pkgconfig/%{pkgname}.pc
%{_datadir}/%{pkgname}/cmake
%{_datadir}/%{pkgname}/coding-style.clang-format
%{_datadir}/%{pkgname}/tests/calculateoverallcoverage.awk


%changelog
* Sat Jan  4 2020 gasinvein <gasinvein@gmail.com> - 5.0.1-0.1
- Initial package
